Similar to ExecuteSubmission but _synchronously_ wait for the completion of the transaction
POST
JSON Ledger API
Similar to ExecuteSubmission but synchronously wait for the completion of the transaction
OpenAPISince 3.4Changed 3.5
Protocol Details
Inputs
Request body
application/json
string
required
the prepared transaction Typically this is the value of the
prepared_transaction field in PrepareSubmissionResponse obtained from calling prepareSubmission. Requiredobject
required
OpenAPI type:
PartySignatures.Additional signatures provided by the submitting partiesobject
OpenAPI type:
DeduplicationPeriod2.string
required
A unique identifier to distinguish completions for different submissions with the same change ID. Typically a random UUID. Applications are expected to use a different UUID for each retry of a submission with the same change ID. Must be a valid LedgerString (as described in
value.proto). Requiredstring
See [PrepareSubmissionRequest.user_id] Optional
string
required
The hashing scheme version used when building the hash Required
object
OpenAPI type:
MinLedgerTime.Outputs
200
application/json
string
required
The id of the transaction that resulted from the submitted command. Must be a valid LedgerString (as described in
value.proto). Requiredinteger (int64)
required
The details of the offset field are described in
community/ledger-api/README.md. Required400
text/plain
string
required
default
application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean
History
Changed
3.5The POST /v2/interactive-submission/executeAndWait operation changed in this snapshot.
Introduced
3.4